Update publish-to-SourceForge scripts to automatically determine if the
branch is the head (development) branch or a maintenance brach, and use
the appropriate target directory for each.
diff --git a/Doc/tools/update-docs.sh b/Doc/tools/update-docs.sh
index 79652ac..3cc28d5 100755
--- a/Doc/tools/update-docs.sh
+++ b/Doc/tools/update-docs.sh
@@ -11,11 +11,20 @@
export HOME
fi
-UPDATES="$HOME/tmp/$1"
+DOCTYPE="$1"
+UPDATES="$HOME/tmp/$2"
+
+TMPDIR="$$-docs"
cd /home/groups/python/htdocs || exit $?
-rm -rf devel-docs || exit $?
-mkdir devel-docs || exit $?
-cd devel-docs || exit $?
+mkdir $TMPDIR || exit $?
+cd $TMPDIR || exit $?
(bzip2 -dc "$UPDATES" | tar xf -) || exit $?
+cd .. || exit $?
+
+if [ -d $DOCTYPE-docs ] ; then
+ mv $DOCTYPE-docs $DOCTYPE-temp
+fi
+mv $TMPDIR $DOCTYPE-docs
+rm -rf $DOCTYPE-temp || exit $?
rm "$UPDATES" || exit $?